/**************************************************************** 
 * Description: 
 * Author: Alex Li
 * Date: 2024-01-25 17:48:16
 * LastEditTime: 2024-01-25 17:53:46
****************************************************************/
#include <iostream>
using namespace std;
int f[10000]; // 创建一个数组来表示马路上的树，数组的大小设为 10000，意味着这个问题中马路的最大长度为 9999

int main(){
    int a, b, c, d; // a 表示马路的长度，b 表示区域的数目，c 和 d 用于表示每个区域的起始点和终点
    int s = 0; // s 用于计算剩余的树木数量
    cin >> a >> b; // 读入马路的长度和区域的数量

    for (int i = 0; i <= a; i++)
        f[i] = 1; // 初始化数组，将每个点上的树标记为存在（1 表示有树）

    for (int i = 0; i < b; i++){ // 遍历所有区域
        cin >> c >> d; // 读入区域的起始点和终点
        for (int j = c; j <= d; j++)
            f[j] = 0; // 将这个区域内的所有树移除（0 表示没有树）
    }

    for (int i = 0; i <= a; i++)
        if (f[i] == 1) s++; // 统计剩余的树木数量

    cout << s; // 输出剩余的树木数量
    return 0;   
}
